/*
 *  Sshtools - Application Framework
 *
 *  Copyright (C) 2002 Lee David Painter.
 *
 *  Written by: 2002 Lee David Painter <lee@sshtools.com>
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public License
 *  as published by the Free Software Foundation; either version 2 of
 *  the License, or (at your option) any later version.
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public
 *  License along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package com.sshtools.daemon.windows;

public class WindowsProcessInfo {
    private int hProcess = 0;
    private int hStderrRead = 0;
    private int hStderrWrite = 0;
    private int hStdinRead = 0;
    private int hStdinWrite = 0;
    private int hStdoutRead = 0;
    private int hStdoutWrite = 0;
    private int hThread = 0;
    private int processId = 0;
    private int hProfile = 0;

    public WindowsProcessInfo() {
    }

    public void setProcessHandle(int hProcess) {
        this.hProcess = hProcess;
    }

    public int getProcessHandle() {
        return hProcess;
    }

    public void setProcessId(int processId) {
        this.processId = processId;
    }

    public void setProfileHandle(int hProfile) {
      this.hProfile = hProfile;
    }

    public int getProcessId() {
        return processId;
    }

    public void setStderrReadHandle(int hStderrRead) {
        this.hStderrRead = hStderrRead;
    }

    public int getStderrReadHandle() {
        return hStderrRead;
    }

    public void setStderrWriteHandle(int hStderrWrite) {
        this.hStderrWrite = hStderrWrite;
    }

    public int getStderrWriteHandle() {
        return hStderrWrite;
    }

    public void setStdinReadHandle(int hStdinRead) {
        this.hStdinRead = hStdinRead;
    }

    public int getStdinReadHandle() {
        return hStdinRead;
    }

    public int getProfileHandle() {
      return hProfile;
    }

    public void setStdinWriteHandle(int hStdinWrite) {
        this.hStdinWrite = hStdinWrite;
    }

    public int getStdinWriteHandle() {
        return hStdinWrite;
    }

    public void setStdoutReadHandle(int hStdoutRead) {
        this.hStdoutRead = hStdoutRead;
    }

    public int getStdoutReadHandle() {
        return hStdoutRead;
    }

    public void setStdoutWriteHandle(int hStdoutWrite) {
        this.hStdoutWrite = hStdoutWrite;
    }

    public int getStdoutWriteHandle() {
        return hStdoutWrite;
    }

    public void setThreadHandle(int hThread) {
        this.hThread = hThread;
    }

    public int getThreadHandle() {
        return hThread;
    }
}
